/*************************************************************************
* Project: Library of Evolutionary Algoriths
*************************************************************************
* Author: Changhe Li & Ming Yang
* Email: changhe.lw@google.com Or yangming0702@gmail.com
* Language: C++
*************************************************************************
*  This file is part of EAlib. This library is free software;
*  you can redistribute it and/or modify it under the terms of the
*  GNU General Public License as published by the Free Software
*  Foundation; either version 2, or (at your option) any later version.
*************************************************************************/
// Created: 21 July 2011
// Last modified:
#ifndef FQUARTIC_NOISY_H
#define FQUARTIC_NOISY_H

#include "BenchmarkFunction.h"

class FQuartic_Noisy : public BenchmarkFunction
{
    public:

        FQuartic_Noisy();
        FQuartic_Noisy(const int rId, const int rDimNumber, char *rName);
        FQuartic_Noisy(const int rId, const int rDimNumber, char *rName, double rL,double rU);
        FQuartic_Noisy(const int rId, const int rDimNumber, char *rName, double *rL, double *rU);
        virtual ~FQuartic_Noisy();
    protected:
        void initialize();
        virtual double evaluate_(double const *x);
    private:
};

#endif // FQUARTIC_NOISY_H
